Форум сообщества Runtu.org
Октябрь 15, 2018, 18:30:18 *
Добро пожаловать, Гость. Пожалуйста, войдите или зарегистрируйтесь.
Вам не пришло письмо с кодом активации?

Новости: Доступна для загрузки х64 версия дистрибутива Runtu LITE 18.04.1 - 20180801

Подробнее
   Начало   Помощь Поиск Войти Регистрация  
Страниц: « 1 2 3  Все   Вниз
  Печать  
Автор Тема: Подключение принтеров Canon LBP  (Прочитано 71839 раз)
0 Пользователей и 1 Гость смотрят эту тему.
vovchok
Постоялец
***
Offline Offline

Сообщений: 194



« Ответ #30 : Август 07, 2014, 23:40:52 »

Оно конечно спасибо, но фраза "демон ccpd, работающий из автозагрузки, очень грузит CPU" не радует, учитывая, что комп и так не первой свежести.
Наверное забью я на эту затею и поставлю более правильный принтер (HP LJ 1100)...
Записан
vita
Местный
*****
Offline Offline

Сообщений: 949


Fiat lux! (Да будет Свет!)


WWW
« Ответ #31 : Август 08, 2014, 09:06:02 »

В домашних условиях принтер используется не часто, поэтому в случае необходимости что-то распечатать выполняю команду
Код:
sudo service ccpd start
и никакой нагрузки на CPU. По-моему, это не сложно.
Сегодня решила настроить принтер Canon LBP3010 в Matuntu-Trusty (14.04 x32) шаг-в-шаг в соответствии со шпаргалкой коллеги brego и, о чудо, принтер после перезагрузки компьютера "ожил" в 14.04.1.
Огромнейшее спасибо, brego !
« Последнее редактирование: Август 08, 2014, 11:59:55 от vita » Записан

Per aspera ad astra! (Через тернии к звездам!)
vita
Местный
*****
Offline Offline

Сообщений: 949


Fiat lux! (Да будет Свет!)


WWW
« Ответ #32 : Август 08, 2014, 16:34:15 »

При проверке работоспособности принтера установлено, что в 14.04 он печатает только офисные документы, а изображения почему-то напрочь игнорирует, зато в 12.04 всё исполняет полноценно. Отчего это зависит, предстоит разобраться.  Непонимающий
Записан

Per aspera ad astra! (Через тернии к звездам!)
dizyazmo
Прохожий
*
Offline Offline

Сообщений: 1


« Ответ #33 : Март 05, 2016, 22:41:44 »

Есть человеческий Видео Урок на Youtube по установке драйверов Canon LBP на Linux Ubuntu

Заходите на Ютуб и в поисковой строке вбиваете: как установить принтер conon LBP на linux

Или вот прямая ссылка: https://www.youtube.com/watch?v=Q4qhAc-Uy3g

Ставил драйвер со скриптами по этому уроку... все нормально пошло. А для тех кто хочет сам, в ручную вот тоже ссылка:
http://help.ubuntu.ru/wiki/canon_capt

Правда во втором случае прийдется по танцевать малость... и по искать отдельно *.ppd для Вашей модели принтера (тут как повезет).
У меня как раз оказался - Джек Пот... и его нигде не было LBP6020B в общем, на буржуйских сайтах нашел *.ppd для своего.
Записан
Пользователь.
Местный
*****
Offline Offline

Сообщений: 3325


« Ответ #34 : Март 06, 2016, 00:02:04 »

ppd устанавливается с драйвером, после установки этих пакетов достаточно перейти в /usr/share/cups/model/ ... и посмотреть название ppd. При регистрации принтера в системе указать этот ppd.
Записан
Пользователь.
Местный
*****
Offline Offline

Сообщений: 3325


« Ответ #35 : Июль 15, 2016, 01:34:13 »

Нашел описание драйвера CQue, который предлагается для некоторых моделей лазерных устройств Canon.
http://www.canon.ru/for_work/solutions/enterpriseprint/#Linux_Printing

Оказалось это драйвер для работы через Foomatic и спец функции для крупных фирм.
Foomatic оказалось это как конвертер в понятный для принтера язык, его предлагается использовать для принтеров понимающих Postcript или PCL.

Также заметил, что новые лазерные принтеры Canon все идут с драйвером UFRII LT, а CAPT предлагается только для старых моделей.

Например принтер начального уровня Canon i-SENSYS LBP6030B использует UFRII LT.

Скачал архив с драйвером, там есть install.sh - авто установщик драйвера.
В его состав входит инструкция по установке, которая лежит в архиве, ее нужно распаковать и открыть index.html
В файле Redmy указаны особенности установки драйвера в разных версиях Ubuntu (какие пакеты нужно доустановить, нехватающие можно выковырять из http://old-releases.ubuntu.com/)
Также в архиве лежат исходники драйвера.

Вот такие дела, люди оказывается работают.

Если что, исходники CAPT лежат на японском сайте, и описание имеется.
http://cweb.canon.jp/drv-upd/lasershot/linux/captlinux.html
http://cweb.canon.jp/drv-upd/lasershot/linux/captlinuxx64.html

Домашним пользователям можно не заморачиваться драйвером CQue, а использовать CAPT или UFRII LT в зависимости от модели устройства (на сайте canon.ru переходим в поддержку, выбираем свою модель, операционную систему, и выйдет подходящий драйвер).
« Последнее редактирование: Июль 15, 2016, 01:45:40 от Пользователь. » Записан
Пользователь.
Местный
*****
Offline Offline

Сообщений: 3325


« Ответ #36 : Июль 27, 2016, 19:14:41 »

Продвинулся в изучении еще немного.

CAPT - это язык печати Canon, на нем принтеру подаются команды печати.
Так вот модели попроще работали с этим языком, а модели подороже работали с языком UFRII.
Самые дорогие модели дополнительно поддерживают языки Postcript и PCL.


CAPT - для принтеров работающих с языком печати  CAPT.
UFRII - для принтеров работающих с языком печати UFRII.
CQue - для принтеров работающих с языками Postcript и PCL.

Какой драйвер нужен устройству - указано на сайте производителя, на странице описания устройства, на вкладке загрузки драйвера.

Как установить эти так называемые драйверы указано в инструкциях идущих с ними в комплекте, а также в файле редми указана дополнительная информация о решениях проблем в разных версиях систем.
Записан
itlamer
Новичок
**
Offline Offline

Сообщений: 35



« Ответ #37 : Март 06, 2017, 13:36:27 »

мне помогло только http://help.ubuntu.ru/wiki/canon_capt автоматическая установка через теминал запуском скрипта
Записан
Пользователь.
Местный
*****
Offline Offline

Сообщений: 3325


« Ответ #38 : Февраль 24, 2018, 12:27:13 »

Данная тема больше не развивается, так как я поменял принтер на HP.

Информацию по подключению принтеров, сканеров, мфу смотрите на  help.ubuntu.ru/wiki/принтеры_сканеры_мфу или forum.ubuntu.ru
Записан
Страниц: « 1 2 3  Все   Вверх
  Печать  
 
Перейти в:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.21 | SMF © 2006, Simple Machines Valid XHTML 1.0! Valid CSS!